
# note this script only works if run in the project docker image, or an environment with the necessary paths and
# software installed. it writes files to a unix tmp dir and is not intended to be used for diagnostic testing, just
# checking the installation is working

source /storage/app/EWS_prod/envs/venv/ews_prod/bin/activate
pip install coverage;

# assumes run from the tests/integration/partial dir, and that all necessary packages are checked out alongside
PACKAGES_DIR="../../../../"

epimodel=$PACKAGES_DIR/epimodel
advisory=$PACKAGES_DIR/advisory_builder
met_processing=$PACKAGES_DIR/met_extractor_v2
met_processor=$PACKAGES_DIR/environmental_suitability
plotting=$PACKAGES_DIR/plotting
post_processing=$PACKAGES_DIR/post_processing
source_gen=$PACKAGES_DIR/source_gen
coordinator=$PACKAGES_DIR/coordinator
coordinator_tests=$PACKAGES_DIR/coordinator/tests

export PYTHONPATH=$PYTHONPATH:$epimodel:$advisory:$met_processing:$met_processor:$plotting:$source_gen:$post_processing:$coordinator:$coordinator_tests

echo $PYTHONPATH

tempdir=$(mktemp -d)
printf "LOGS AND TEST REPORT WILL BE IN %s\n" "$tempdir"
python3 -m coverage run run_test_suite.py "$tempdir"
